#
# spec file for package edict (Version 20000827)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         edict
Copyright:    distributable
Group:        Extensions/Japanese
# Requires:  
# Provides:
Autoreqprov:  on
Version:      20000827
Release:      157
URL:          http://www.csse.monash.edu.au/~jwb/j_edict.html
# I collected most of the dictionaries in EDICT format
# available at Jim Breen's site into the following tarball:
Source0:      edict-20000827.tar.bz2
# Patch0:
BuildArchitectures: noarch
BuildRoot:    /var/tmp/%{name}-root
Summary:      The Japanese dictionary files of Jim Breen's EDICT project
# Obsoletes:

%description
The EDICT file is the outcome of a voluntary project to produce a
freely-available Japanese/English Dictionary in machine-readable
form. This project has been under way since early 1991, beginning with
the small original file included with the MOKE (Mark's Own Kanji
Editor) Japanese word-processing package. It reached a size of nearly
103,000 entries when it was split into two files: EDICT containing the
"normal" dictionary entries, and ENAMDICT containing names. Both files
are used by a number of software packages and thousands of users
world-wide. The EDICT file is now over 60,000 entries and the ENAMDICT
file over 160,000.
Meanwhile there are also some additional dictionary files for
special purposes, for example COMPDIC for words from the computing
and communication field.

Authors:
--------
    Jim Breen <j.breen@csse.monash.edu.au>

SuSE series: j

%prep 
%setup 
#%patch0 -p1

%build

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
mkdir -p $RPM_BUILD_ROOT/usr/share/edict
install -m 644  * $RPM_BUILD_ROOT/usr/share/edict

%files
%doc Copyright newlic.html newlic.txt
# EDICT, English/Japanese (68264 entries) dictionary:
/usr/share/edict/edict
%doc edict_doc.html
%doc edict_doc.txt
# The ENAMDICT file is in the same format as the EDICT file
# but it consists entirely of proper names. 
# Version V2000-01 of the file contains 203k names.
/usr/share/edict/enamdict
%doc enamdict_doc.html
%doc enamdict_doc.txt
# And now the Kanji files
/usr/share/edict/kanjidic
/usr/share/edict/kanjd212
%doc kanjidic.doc
%doc kanjd212.doc
# The EDICTH file is in the same format as the main EDICT file, but
# contains entries with kanji from the JIS X 0212-1990 Supplementary
# standard.
/usr/share/edict/edicth
%doc edicth.doc
# Glenn Rosenthal has compiled a short dictionary of classical Japanese.
/usr/share/edict/classical
%doc classical.euc
# Files of JDDICT (Japanese/German Dictionary)
/usr/share/edict/jddict.v02
%doc jddict.doc
# The COMPDIC file, which is a glossary of terminology in the computing
# and telecommunications industries. It is in EUC and in the usual EDICT
# format. This file is growing so please send submissions. (Current
# version: V97-006 - 10548 entries.)
/usr/share/edict/compdic
%doc compdic.doc
# The J_PLACES file of Japanese place-names, culled from the MPT's WWW
# page and turned into EDICT-format entries (78,437 entries).
/usr/share/edict/j_places
%doc j_places.inf
# The GEODIC file of geological terminology. This file has about 1,300
# entries and has material prepared by Bruce Bain and Leslie Oberman.
/usr/share/edict/geodic
%doc geodic.doc
# Jim Minor's Pulp & Paper Industry Glossary file (375 entries).
/usr/share/edict/pandpdic
%doc pandpgls.doc
# Francis Bond's J/E Linguistics Dictionary file (2882 entries) 
/usr/share/edict/lingdic
%doc lingdic.txt
# Ron Schei's E/J Aviation Dictionary File (738 entries) 
/usr/share/edict/aviation
%doc aviation.doc
# Gururaj Rao's Concrete Terminology Glossary - Nov 1997 (1060 entries) 
/usr/share/edict/concrete
%doc concrete.doc
# The FINDIC file comprises Kevin Seaver's glossary of financial terms
# converted into EDICT format. About 600 entries.
/usr/share/edict/findic
%doc findic.doc
# The MKTDIC file is the EDICT formatted compilation of Adam Rice's
# business & marketing glossary lists from the Honyaku WWW pages.
/usr/share/edict/mktdic
%doc mktdic.doc
# The COMPVERB file of over 1,100 Japanese compund verbs, as found in
# Tagashira and Hoff's "Handbook of Japanese Compound Verbs." (EDICT
# format)
/usr/share/edict/compverb
%doc compverb.doc
# The 4JWORDS file of "yojijukugo" compiled by Kanji Haitani. These are
# the 4-kanji ideomatic expressions and proverbs which are very popular
# in Japanese. Kanji's list has about 350 of these.
/usr/share/edict/4jwords
%doc 4jwords.doc

%changelog -n edict
* Mon Oct 30 2000 - mfabian@suse.de
- added rpm group tag
* Mon Sep 11 2000 - mfabian@suse.de
- remove %%{?suse_update_config}, it is not needed and makes the
  build fail on 6.4K-i386
* Fri Sep 08 2000 - mfabian@suse.de
- new package edict-20000827
